跳至内容
ShopentlyLearn

获取列表 · 照片

查看和预览文章照片

GET/api/v1/addons/shopently.blog/media

cURL 请求

curl --disable --globoff --fail-with-body --silent --show-error \
  --proto '=https' --connect-timeout 5 --max-time 30 \
  --request GET \
  --url 'https://shop.onshopently.com/api/v1/addons/shopently.blog/media?limit=10' \
  --header 'Authorization: Bearer EXAMPLE_ACCESS_TOKEN'

响应

{
  "data": [
    {
      "bytes": 366,
      "created_at": "2026-10-07T23:17:43.893580Z",
      "expires_at": "2026-10-14T23:17:43.893580Z",
      "height": 100,
      "id": "e8663afe-3c38-461c-a142-a980085630af",
      "mime_type": "image/webp",
      "state": "ready",
      "variants": {
        "card": {
          "bytes": 122,
          "height": 100,
          "width": 200
        },
        "original": {
          "bytes": 122,
          "height": 100,
          "width": 200
        },
        "thumbnail": {
          "bytes": 122,
          "height": 100,
          "width": 200
        }
      },
      "version": 1,
      "width": 200
    }
  ],
  "meta": {
    "pagination": {
      "has_more": false,
      "limit": 10,
      "next_cursor": null
    },
    "request_id": "18046f72-d201-405f-b4ab-66644766b4df"
  }
}

所需权限

身份验证
访问令牌
最低套餐
BASIC
密钥权限
查看和预览文章照片addon.shopently.blog:media_read
所需的已安装模块

shopently.blog